// Retreive ads first
$.getJSON( "https://admin.appnext.com/offerWallApi.aspx?pimg=1&id=32f8d6c5-6a51-464f-87fe-06ad965175d4&cnt=4&cat=social&type=json", function(ads, status){
    // Wait until document ready
    $(document).ready(function(){
		// Debug Print
        console.log("Ads Retreived");
        console.log(ads);
        
        // Fill ad containers
        // Images
        $("#HAI1").css({"background-image" : "url("+ads.apps[0].urlImg+")"});
        $("#HAI2").css({"background-image" : "url("+ads.apps[1].urlImg+")"});
        $("#EAI").css({"background-image" : "url("+ads.apps[2].urlImg+")"});
        $("#RAI").css({"background-image" : "url("+ads.apps[3].urlImg+")"});
        // Titles
        $("#HAT1").replaceWith("<h4>" + ads.apps[0].title + "</h4>");
        $("#HAT2").replaceWith("<h4>" + ads.apps[1].title + "</h4>");
        $("#EAT").replaceWith("<h4>" + ads.apps[2].title + "</h4>");
        $("#RAT").replaceWith("<h4>" + ads.apps[3].title + "</h4>");
        // Descriptions
        $("#HAD1").replaceWith("<p>" + ads.apps[0].desc + "</p>");
        $("#HAD2").replaceWith("<p>" + ads.apps[1].desc + "</p>");
        $("#EAD").replaceWith("<p>" + ads.apps[2].desc + "</p>");
        $("#RAD").replaceWith("<p>" + ads.apps[3].desc + "</p>");
        // Links
        $("#HAL1").attr( "href", ads.apps[0].urlApp);
        $("#HAL2").attr( "href", ads.apps[1].urlApp);
        $("#EAL").attr( "href", ads.apps[2].urlApp);
        $("#RAL").attr( "href", ads.apps[3].urlApp);
        // Image links
        $("#HAI1").wrap( "<a href='" + ads.apps[0].urlApp + "'></a>" );
        $("#HAI2").wrap( "<a href='" + ads.apps[1].urlApp + "'></a>" );
        $("#EAI").wrap( "<a href='" + ads.apps[2].urlApp + "'></a>" );
        $("#RAI").wrap( "<a href='" + ads.apps[3].urlApp + "'></a>" );
        
        //Unhide containers
        $("#homeAds, #endAds, #resetAds").css({"display" : "block"});
	});
});